/ lang / cshort
CShort
Syntax

    Short = CShort ( Expression AS Variant ) AS Short

Converts an expression into a short integer.

Expression is first converted into an integer. Then, if this integer overflows the Short range, it is truncated.

### Errors

Message | Description
--- | ---
Type mismatch (#6) | Expression cannot be converted.

### Examples

    PRINT CShort("17")
    <hr>17

    PRINT CShort(100000)
    <hr>-31072

    PRINT CShort(TRUE)
    <hr>-1

### See also

Conversion Functions